> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

> OpenAI-kompatible Responses API (Beta)

# Überblick

<Warning>
  **Beta-API**

  Diese API befindet sich derzeit in der Testphase (Beta) und kann in Zukunft erheblichen Änderungen unterliegen. Verwenden Sie sie in Produktionsumgebungen mit Vorsicht.
</Warning>

Die Responses API (Beta) von AIHubMix bietet eine einheitliche Schnittstelle für den Zugriff auf mehrere Modelle, die mit der OpenAI Responses API kompatibel sind, einschließlich GPT, Claude, GLM, Gemini usw.

Diese Schnittstelle bietet auch erweiterte Funktionen, darunter:

* Reasoning
* Tool Calling

## Basis-URL

```tex theme={null}
https://aihubmix.com/v1/responses
```

## Authentifizierung

Alle Anfragen erfordern eine Authentifizierung über den AIHubMix-API-Schlüssel.

<CodeGroup>
  ```python Python theme={null}
  import requests

  url = "https://aihubmix.com/v1/responses"

  headers = {
      "Authorization": "Bearer YOUR_AIHUBMIX_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
      "model": "claude-sonnet-4-6",
      "input": "Hello, world!"
  }

  response = requests.post(url, headers=headers, json=data)

  print(response.status_code)
  print(response.json())
  ```

  ```text TypeScript theme={null}
  const response = await fetch('https://aihubmix.com/v1/responses', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_AIHUBMIX_API_KEY',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      model: 'o4-mini',
      input: 'Hello, world!',
    }),
  });
  ```

  ```shellscript cURL theme={null}
  curl -X POST https://aihubmix.com/v1/responses \
    -H "Authorization: Bearer YOUR_AIHUBMIX_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "o4-mini",
      "input": "Hello, world!"
    }'
  ```
</CodeGroup>

***

Zuletzt aktualisiert: 2026-06-01
